# classes/phing/input/DefaultInputHandler.php

## \DefaultInputHandler
jump to top

Prompts using print(); reads input from Console.

Implements
  \InputHandler
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
package
  phing.input
version
  $Revision: 526 $

### Methods

`getPrompt( \$request $request ) :`
Constructs user prompt from a request.

This implementation adds (choice1,choice2,choice3,...) to the prompt for `MultipleChoiceInputRequest`s.

Parameters

Name | Type | Description
--- | --- | ---
$request | \$request | the request to construct the prompt for. Must not be `null`.

`handleInput( $request ) :`
Prompts and requests input. May loop until a valid input has been entered.
Parameters

Name | Type | Description
--- | --- | ---
$request |  |

Details

throws

Documentation was generated by DocBlox 0.13.1.